
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>XML入门精解-------结构与语法 / iVAN</title>

    <meta name="description" content="XML入门精解-------结构与语法 xml|语法 ■创建XML文件的工具 XML文件和HTML文件一样,实际上是一个文本文件.显然大家立刻就会明白,创建XML文件最普通的工具和HTML一样,就是&quot;记事本&quot;了.除了&quot;记事本&quot;之外,当然还有一些更加方便的工具,如XML Notepad.XML Pro.CLIP!XML Editor等,这些工具的一大特点是:能够检查你所建立的XML文件是否符合XML规范.不过,现在这些工具都只有英文版的,并且需要付费使用.当然,你仍然能够使用FrontPage.D ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">XML入门精解-------结构与语法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>xml|语法</p>
<p>■创建XML文件的工具 <br />　　XML文件和HTML文件一样，实际上是一个文本文件。显然大家立刻就会明白，创建XML文件最普通的工具和HTML一样，就是“记事本”了。除了“记事本”之外，当然还有一些更加方便的工具，如XML Notepad、XML Pro、CLIP！XML Editor等，这些工具的一大特点是：能够检查你所建立的XML文件是否符合XML规范。不过，现在这些工具都只有英文版的，并且需要付费使用。当然，你仍然能够使用FrontPage、DreamWeaver等工具，不过使用起来不是很方便。随着XML的逐渐普及，相信在不久后，也会出现非常好用的创建XML文件的工具。</p>
<p>　　■一个XML文件的例子 <br />　　现在我们暂且使用“记事本”来创建我们的XML文件吧。先看一个XML文件：</p>
<p>　　例1</p>
<p>　　----------------------</p>
<p>　　〈?xml version="1.0" encoding="gb2312" ?〉</p>
<p>　　〈参考资料〉</p>
<p>　　 〈书籍〉</p>
<p>　　 〈名称〉XML入门精解〈/名称〉</p>
<p>　　 〈作者〉张三〈/作者〉</p>
<p>　　 〈价格 货币单位="人民币"〉20.00〈/价格〉</p>
<p>　　 〈/书籍〉</p>
<p>　　 〈书籍〉</p>
<p>　　 〈名称〉XML语法〈/名称〉</p>
<p>　　 〈!--此书即将出版--〉</p>
<p>　　 〈作者〉李四〈/作者〉</p>
<p>　　 〈价格 货币单位="人民币"〉18.00〈/价格〉</p>
<p>　　 〈/书籍〉</p>
<p>　　〈/参考资料〉</p>
<p>　　----------------------</p>
<p>　　这是一个典型的XML文件，编辑好后保存为一个以.xml为后缀的文件。我们可以将此文件分为文件序言（Prolog）和文件主体两个大的部分。在此文件中的第一行即是文件序言。该行是一个XML文件必须要声明的东西，而且也必须位于XML文件的第一行，它主要是告诉XML解析器如何工作。其中，version是标明此XML文件所用的标准的版本号，必须要有；encoding指明了此XML文件中所使用的字符类型，可以省略，在你省略此声明的时候，后面的字符码必须是Unicode字符码（建议不要省略）。因为我们在这个例子中使用的是GB2312字符码，所以encoding这个声明也不能省略。在文件序言部分还有一些声明语句，我们在后面给予介绍。</p>
<p>　　文件的其余部分都是属于文件主体，XML文件的内容信息存放在此。我们可以看到，文件主体是由开始的〈参考资料〉和结束的〈/参考资料〉控制标记组成，这个称为XML文件的“根元素”；〈书籍〉是作为直属于根元素下的“子元素”；在〈书籍〉下又有〈名称〉、〈作者〉、〈价格〉这些子元素。货币单位是〈价格〉元素中的一个“属性”，“人民币”则是“属性值”。</p>
<p>　　〈!--此书即将出版--〉这一句同HTML一样，是注释，在XML文件里，注释部分是放在“〈!--”与“--〉”标记之间的部分。</p>
<p>　　大家可以看到，XML文件是相当简单的。同HTML一样，XML文件也是由一系列的标记组成，不过，XML文件中的标记是我们自定义的标记，具有明确的含义，我们可以对标记中的内容的含义作出说明。</p>
<p>　　■XML文件的语法 <br />　　对XML文件有了初步的印象之后，我们就来详细地谈一谈XML文件的语法。在讲语法之前，我们必须要了解一个重要的概念，就是XML解析器（XML Parse）。</p>
<p>　　1.XML解析器</p>
<p>　　解析器的主要功能就是检查XML文件是否有结构上的错误，剥离XML文件中的标记，读出正确的内容，以交给下一步的应用程序处理。XML是一种用来结构化文件信息的标记语言，XML规范中对于如何标记文件的结构性有一个详细的法则，解析器就是根据这些法则写出来的软件（多用Java写成）。同HTML一样，在浏览器中，必须有HTML的解析器，这样浏览器才能够“读懂”各种用HTML标记所组成的网页，将它们显示在我们面前。如果有浏览器的HTML解析器读不懂的标记，将会返回给我们错误信息。</p>
<p>　　由于现在的HTML标记实际上相当混乱，存在大量不规范的标记（有的网页用IE能正常显示，而用Netscape Navigator则不行），所以从一开始，XML的设计者就严格规定了XML的语法和结构，我们编写的XML文件必须遵循这些规定，否则XML解析器将毫不留情地给你显示错误信息。</p>
<p>　　有两种XML文件，一种是Well-Formed XML文件，一种是Validating XML文件。</p>
<p>　　如果一个XML文件满足XML规范中的某些相关法则，且没有使用DTD（文件格式定义--后详述）时，可称这份文件是Well-Formed。而如果一个XML文件是Well-Formed，且正确地使用了DTD，DTD中的语法又是正确的，那么这个文件就是Validating。对应两种XML文件，有两种XML解析器，一种是Well-Formed 解析器，一种是Validating解析器。IE 5中就内含Validating解析器，Validating解析器也可用来解析Well-Formed XML文件。</p>
<p>　　检查它是否满足了Well-Formed的条件。我们可以将刚才编辑的第一个XML 文件用IE 5以上版本的浏览器打开。</p>
<p>　　大家可能要问为什么在浏览器中的显示和我的源文件一样？没错，因为对于XML文件，我们鼋龉匦乃哪谌荩南允拘问绞墙桓鳦SS或XSL来完成的。这里，我们并没有给这个XML文件定义它的CSS或XSL文件，所以它按照原来的形式来显示。实际上，对于电子数据交换，仅仅需要一个XML文件即可，如果要将它以某种形式显示出来，我们就必须编辑CSS或XSL文件（这个问题会在以后讨论）。</p>
<p>　　2.Well-Formed的XML文件</p>
<p>　　我们知道，XML必须是Well-Formed的，才能够被解析器正确地解析出来，显示在浏览器中。那么什么是Well-Formed的XML文件呢？主要有下面几个准则，我们在创建XML文件的时候，必须满足它们。</p>
<p>　　首先，XML文件的第一行必须是声明该文件是XML文件以及它所使用的XML规范版本。在文件的前面不能够有其它元素或者注释。</p>
<p>　　第二，在XML文件中有且只能够有一个根元素。我们的第一个例子中，〈参考资料〉... 〈/参考资料〉就是此XML文件的根元素。</p>
<p>　　第三，在XML文件中的标记必须正确地关闭，也就是说，在XML文件中，控制标记必 须有与之对应的结束标记。如：〈名称〉标记必须有对应的〈/名称〉结束标记，不像HTML，某些标记的结束标记可有可无。如果在XML文件中遇到自成一个单元的标记，就是类似于HTML 中的〈img src=.....〉的这些没有结束标记的时候，XML把它称为“空元素”，必须用这样的写法：〈空元素名/〉，如果元素中含有属性时写法则为：〈空元素名 属性名=“属性值”/〉。</p>
<p>　　第四，标记之间不得交叉。在以前的HTML文件中，可以这样写：</p>
<p>　　〈B〉〈H〉XXXXXXX〈/B〉〈/H〉,〈B〉和〈H〉</p>
<p>　　标记之间有相互重叠的区域，而在XML中，是严格禁止这样标记交错的写法，标记必须以规则性的次序来出现。</p>
<p>　　第五，属性值必须要用“ ”号括起来。如第一个例子中的“1.0”、“gb2312”、“人民币”。都是用“ ”号括起来了的，不能漏掉。</p>
<p>　　第六，控制标记、指令和属性名称等英文要区分大小写。与HTML不同的是，在HTML中， 类似〈B〉和〈b〉的标记含义是一样的，而在XML中，类似〈name〉、〈NAME〉或〈Name〉这样的标记是不同的。</p>
<p>　　第七，我们知道，在HTML文件中，如果我们要浏览器原封不动地将我们所输入的东西显示出来，可以将这些东西放到〈pre〉〈/pre〉或者〈xmp〉〈/xmp〉标记中间。这对于我们创建HTML教学的网页是必不可少的，因为网页中要显示HTML的源代码。而在XML中，要实现这样的功能，就必须使用CDATA标记。在CDATA标记中的信息被解析器原封不动地传给应用程序，并且不解析该段信息中的任何控制标记。CDATA区域是由：“〈![CDATA[”为开始标记，以“]]〉”为结束标记。例如：例2中的源码，除了“〈![CDATA[”和“]]〉”符号，其余的内容解析器将原封不动地交给下游的应用程序，即使CDATA区域中的开始和结尾的空白以及换行字符等，都同样会被转交（注意CDATA是大写的字符）。</p>
<p>　　例2</p>
<p>　　〈![CDATA[飞翔的xml〉〉〉〉〉,:-)</p>
<p>　　oooo〈〈〈〈〈〈〈</p>
<p>　　]]〉</p>
<p>　　第八，XML处理空白字符和HTML不一样。HTML标准规定，不管有多少个空白，都当作一个空白来处理；而在XML中规定，所有标记以外的空白，解析器都要忠实地交给下游的应用程序处理。这样，我们有时必须摒弃编写HTML文件时的缩排习惯，因为缩排的空格，解析器也要处理。如：</p>
<p>　　 〈作者〉张三〈/作者〉</p>
<p>　　和</p>
<p>　　 〈作者〉</p>
<p>　　 张三</p>
<p>　　 〈/作者〉</p>
<p>　　上述内容对于解析器来说是不同的（后者在〈作者〉〈/作者〉标记之内除了张三这个字符以外，还包括两个换行记号以及“张三”前的文字缩排符号）。所以解析器在去掉标记后将信息传给应用程序将有不同的处理结果。</p>
<p>　　如果我们想明确地告诉XML程序，标记中的空白有明确的含义，不要随便去掉（如在一些诗中，空格有它具体的意义），则可在标记中加入一个XML内置的属性--xml:space 。如（注意属性名称和值的大小写）：</p>
<p>　 〈诗歌 xml:space="preserver"〉</p>
<p>　　 祖国啊！ 祖国！</p>
<p>　　 我的祖国！</p>
<p>　　 〈/诗歌〉</p>
<p>　　另外，在XML文件中，如果要用到表1的特殊字符，必须用相应符号代替。 <br />表1<br />特殊字符    替代符号<br />&amp;&amp;    &amp;<br />&lt;    &amp;it;<br />&gt;    &gt;<br />"    "<br />'    '</p>
<p>　　在此做个小结：符合上述规定的XML文件就是Well-Formed的XML文件。这是编写XML文件的最基本要求。可以看到XML文件的语法规定比HTML要严格多了。由于有这样的严格规定，软件工程师编写XML的解析器就容易多了，不像编写HTML语言的解析器，必须费尽心思去适应不同的网页写法，提高自己浏览器的适应能力。实际上，这对于我们初学者来说，也是一件好事。该怎样就怎样，不必像原来那样去疑惑各种HTML的写法。</p>
<p>　　我们看到，在XML文件中，用的大多都是自定义的标记。但是大家考虑一下，如果两个同行业的公司A和B要用XML文件相互交换数据，A公司用〈价格〉标记来表示他们产品的价格信息，而B公司可能用〈售价〉来表示价格信息。如果一个XML应用程序来读取他们各自的XML文件中的信息时，如果它只知道〈价格〉标记里表示的是价格信息，那么B公司的价格信息就读不出来，必将产生错误。显然，对于想利用XML文件来交换信息的实体来说，他们之间必须有一个约定--即编写XML文件可以用哪些标记，母元素中能够包括哪些子元素，各个元素出现的顺序，元素中的属性怎样定义等。这样他们在用XML交换数据时才能够畅通无阻。这种约定称为DTD（Document Type Definition，文档格式定义）。可以把DTD看作编写XML文件的模板。对于同行业之间的XML数据交换，有一个固定的DTD将会方便很多。比如说，如果网上的各大电子商场的XML网页都遵循同一个DTD时，那么我们就可以轻松地依据这个DTD 编写一个应用程序，去网上将我们感兴趣的东西自动抓回来。事实上已经有了好几个定义好的DTD，如前面所说的MathML、SMIL等。</p>
<p>　　如果一个XML文件是Well-Formed的，并且它是正确的依据某个DTD建立的，那么，这个XML文件就被称为：Validating XML文件。相应的解析器就称为：Validating Parser。</p>
<p> </p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-03 23:36:40</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e8%ae%b0/" title="标记">标记</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/html/" title="html">html</a>, <a href="https://www.iamivan.net/tag/%e5%bf%85%e9%a1%bb/" title="必须">必须</a>, <a href="https://www.iamivan.net/tag/xml%e6%96%87%e4%bb%b6/" title="XML文件">XML文件</a>, <a href="https://www.iamivan.net/tag/xml%e6%96%87%e4%bb%b6%e8%a7%a3%e6%9e%90/" title="xml文件解析">xml文件解析</a>, <a href="https://www.iamivan.net/tag/html%e8%a7%a3%e6%9e%90%e5%99%a8/" title="html解析器">html解析器</a>, <a href="https://www.iamivan.net/tag/%e8%a7%a3%e6%9e%90xml%e6%96%87%e4%bb%b6/" title="解析xml文件">解析xml文件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>XML入门精解-------结构与语法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgQYAz.html" rel="bookmark">XML入门精解之结构与语法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|语法 现在我们暂且使用&quot;记事本&quot;来创建我们的XML文件吧.先看一个XML文件: 例1 〈?xml version=&quot;1.0&quot; encoding=&quot;gb2312&quot; ?〉 〈参考资料〉 〈书籍〉 〈名称〉XML入门精解〈/名称〉 〈作者〉张三〈/作者〉 〈价格 货币单位=&quot;人民币&quot;〉20.00〈/价格〉 〈/书籍〉 〈书籍〉 〈名称〉XML语法〈/名称〉 〈!--此书即将出版--〉 〈作者〉李四〈/作者〉 〈价格 货币单位			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0BJ0z.html" rel="bookmark">XML入门精解之结构与语法&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|语法 &lt;?xml:namespace prefix = o ns = &quot;urn:schemas-microsoft-com:office:office&quot; /&gt;  ■创建XML文件的工具 XML文件和HTML文件一样,实际上是一个文本文件.显然大家立刻就会明白,创建XML文件最普通的工具和HTML一样,就是&quot;记事本&quot;了.除了&quot;记事本&quot;之外,当然还有一些更加方便的工具,如XML Notepad.XML Pro.CLIP!XML E			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ0BqBM.html" rel="bookmark">XML入门精解之结构与语法&lowbar;XML&sol;RSS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在我们暂且使用&quot;记事本&quot;来创建我们的XML文件吧.先看一个XML文件: 例1 〈?xml version=&quot;1.0&quot; encoding=&quot;gb2312&quot; ?〉 〈参考资料〉 〈书籍〉 〈名称〉XML入门精解〈/名称〉 〈作者〉张三〈/作者〉 〈价格 货币单位=&quot;人民币&quot;〉20.00〈/价格〉 〈/书籍〉 〈书籍〉 〈名称〉XML语法〈/名称〉 〈!--此书即将出版--〉 〈作者〉李四〈/作者〉 〈价格 货币单位=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJwB7b.html" rel="bookmark">XML入门精解之文件格式定义</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml DTD实际上可以看作一个或多个XML文件的模板,这些XML文件中的元素.元素的属性.元素的排列方式/顺序.元素能够包含的内容等,都必须符合DTD中的定义.XML文件中的元素,即我们所创建的标记,是根据我们应用的实际情况来创建的.想要创建一份完整性高.适应性广的DTD是非常困难的,因为各行各业都有他们自己的行业特点,所以DTD通常是以某种应用领域为定义的范围,如:医学.建筑.工商.行政.DTD定义的元素含盖范围越广泛,那么就越复杂.  DTD可以是一个完全独立的文件,也可以在XML文件中直			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGwW2z.html" rel="bookmark">XML入门精解之CSS和XSL</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				css|xml CSS(叠层样式表)和XSL(可扩展样式语言)都可以定义XML文件的显示,这两种方式有哪些不同以及它们在使用中的具体方法,我们将在本文给予介绍. 在XML文件中,使用的基本上是自定义的标记,显然一个浏览器是无法理解这些标记的,现在,浏览器仅仅是作为一个XML文件的解析器--只要你的XML文件是Well-Formed的,那么它就将文件原封不动地给你显示出来.在XML中内容与表现形式是分开的,在一个XML的源文件中并没有关于它表现形式的信息.XML的最大特点就是揭示了信息本身的含义,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7874b.html" rel="bookmark">XML入门精解之结构与语法&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|语法 &lt;?xml:namespace prefix = o ns = &quot;urn:schemas-microsoft-com:office:office&quot; /&gt;  以及&quot;张三&quot;前的文字缩排符号).所以解析器在去掉标记后将信息传给应用程序将有不同的处理结果. 如果我们想明确地告诉XML程序,标记中的空白有明确的含义,不要随便去掉(如在一些诗中,空格有它具体的意义),则可在标记中加入一个XML内置的属性--xml:space .如(注意属性名称和值的大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm7VAqb.html" rel="bookmark">XML结构与语法入门详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				现在我们暂且使用&quot;记事本&quot;来创建我们的XML文件吧.先看一个XML文件: 例1: 〈?xml version=&quot;1.0&quot; encoding=&quot;gb2312&quot; ?〉 〈参考资料〉 〈书籍〉 〈名称〉XML入门精解〈/名称〉 〈作者〉张三〈/作者〉 〈价格 货币单位=&quot;人民币&quot;〉20.00〈/价格〉 〈/书籍〉 〈书籍〉 〈名称〉XML语法〈/名称〉 〈!--此书即将出版--〉 〈作者〉李四〈/作者〉 〈价格 货币单位=&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGLq6b.html" rel="bookmark">PHP入门教程之PHP基本语法学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前两天和朋友小聚,朋友提出我的博客既然主要针对的是PHP初学者,应该适当增加适合PHP初学者的文章,同时网上也看到不少人在问如何学习PHP的问题,今天开始和大家分享PHP入门应该学习的基本知识. 大体上我打算针对PHP的入门学习,主要分以下几个步骤进行:介绍PHP的基本语法.基本常用函数的学习.PHP与Mysql数据库之间的基本交互操作,同时结合入门实例介绍PHP的基本应用.闲话少说,我们先开篇入门学习PHP的基本语法. 在进行PHP基本语法入门学习之前,首先确保安装配置PHP的运行环境. 一.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zemVxz.html" rel="bookmark">XML入门教程&colon;验证XML是合法的XML</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				xml|教程|入门教程 拥有正确语法的XML是构成良好的XML. 通过某种DTD进行了验证的XML是合法的XML. 构成良好的XML文档 一个&quot;构成良好&quot;的XML文档拥有正确的语法. 一个&quot;W构成良好&quot;的XML文档会遵守前几章介绍过的XML语法规则: XML文档必须有根元素 XML文档必须有关闭标签 XML标签对大小写敏感 XML元素必须被正确的嵌套 XML属性必须加引号 &lt;?xml version=&quot;1.0&quot; encoding=&quot			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK5nAp.html" rel="bookmark" class="title">mysql空间扩展 VS PostGIS</a>
					<div>
						功能 Mysql spatial extension  PostGIS 空间索引 仅MyISAM支持R树索引,InnoDB不支持  GIST树索引(R树的变种) 支持的空间类型 仅二维数据 二维.三维 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYgZBz.html" rel="bookmark" class="title">如何获得跟踪文件名称</a>
					<div>
						文件名 原文链接: http://www.eygle.com/faq/How.To.Get.Tracefile.Name.htm   当我们使用sql_trace/10046等事件进行进程跟踪时,会生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrGRyp.html" rel="bookmark" class="title">陈华毅：搜索引擎三段式工作流程总结</a>
					<div>
						搜索引擎要处理的问题就是,在一个可以接受的时间内返回一个和该用户查询匹配的网页信息列表,这个列表包括三部分:标题,URL,描述或摘要. 现代的大规模搜索引擎一般采用三段式的工作流程,即:网页搜集.预处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnBdWp.html" rel="bookmark" class="title">ORACLE常用傻瓜問題1000問&lpar;之十二&rpar;</a>
					<div>
						oracle         ORACLE常用傻瓜问题1000问(之十二)   作者: CCBZZP      9I管理的数据字典ALL视图.   783. ALL_ALL_TABLES    用户可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wWq9p.html" rel="bookmark" class="title">获取所有IE当前浏览的Url</a>
					<div>
						using System; using System.Windows.Forms; using SHDocVw; namespace WindowsApplication35 ...{ public  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj753WM.html" rel="bookmark" class="title">Java理论与实践&colon; 构建一个更好的HashMap</a>
					<div>
						ConcurrentHashMap 是 Doug Lea的 util.concurrent 包的一部分,它提供 比Hashtable 或者 synchronizedMap 更高程度的并发性.而且,对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl9ndb.html" rel="bookmark" class="title">学Java-留言板-数据库结构和POJO</a>
					<div>
						请注意:以下是图片,不是文字					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PoL6M.html" rel="bookmark" class="title">什么是交互设计？</a>
					<div>
						  先讲个故事,小鹏是个销售员,下午出去拜访客户,完事后发现已经六点多了,非常饿,小鹏想回家自己做饭吃,但是实在是太饿了,回家又要做好久的地铁,还不如就在附近找家小饭馆吃了呢,于是环顾四周,发现马路对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrxvlp.html" rel="bookmark" class="title">win8&period;1系统网络受限怎么办？</a>
					<div>
						    win8.1系统网络受限怎么办? 一.检查网线 这也是最特殊,最尴尬的情况. 要排查也很简单,打开控制面板,选择&quot;网络和Internet',检查&quot;Wlan&quot;或者& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKRKyp.html" rel="bookmark" class="title">详解对Linux内核进行升级的步骤</a>
					<div>
						  Linux的内核是系统的核心,所以升级内核是Linux系统管理员的一项基本技能,所以我就分享了系统运维实务上的一篇文章,当然我对源文件稍做了一些内容的增加,就是把遇到的问题及解决方案也加上了,希望 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w8A9p.html" rel="bookmark" class="title">在Linux下使用avconv进行屏幕录像的教程</a>
					<div>
						  Libav是一款跨平台的工具库,能够用来处理多媒体文件.流和协议.它最初是源自ffmpeg.Libav带有一些工具,比如: Avplay: 一款视频音频播放器. Avconv: 能够记录多个设备输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLyx8b.html" rel="bookmark" class="title">Win7服务端口被占得解决方法</a>
					<div>
						Win7服务端口被占得解决方法 Windows命令行窗口下执行,查看80端口的PID号码 C:Userslinuxzgf&gt;netstat -aon |findstr 80 TCP 0.0.0.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1k1Jb.html" rel="bookmark" class="title">win7笔记本无线上网设置</a>
					<div>
						  现在笔记本的用户越来越多了,很多人都是用笔记本电脑进行无线上网,这样省去了不少麻烦,但是有的电脑刚开始找不到无线网络,不知道win7笔记本无线上网如何设置,下面就来讲解下笔记本无线上网设置. 首先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42nejM.html" rel="bookmark" class="title">牛人将Galaxy Nexus改造成台式电脑</a>
					<div>
						有些朋友逐渐将平板电脑取代家中的桌面电脑,但将智能手机取代桌面电脑又可以吗?现在的手机功能越来越强劲,接口亦越趋齐全,有 USB, HDMI,既可连接键盘滑鼠,亦可轮出至大屏幕.下面的视频,就将Gal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwKABb.html" rel="bookmark" class="title">Win10</a>
					<div>
						电脑升级到Windows10-14316版系统后,鼠标右键点击系统桌面程序图标时,右键菜单中没有[固定到任务栏]项,如何添加右键菜单中的[固定到任务栏]呢? 电脑升级到Windows10-14316版 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWK4Bb.html" rel="bookmark" class="title">半小时精通正则表达式 经典实例介绍&lowbar;正则表达式</a>
					<div>
						开篇,还是得说说 ^ 和 $ 他们是分别用来匹配字符串的开始和结束,以下分别举例说明 如果您是新手,猜你取消 正则表达式30分钟入门教程&quot;^The&quot;: 开头一定要有&quot;Th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrR88M.html" rel="bookmark" class="title">基于jquery的手风琴图片展示效果实现方法&lowbar;jquery</a>
					<div>
						本文实例讲述了基于jquery的手风琴图片展示效果实现方法.分享给大家供大家参考.具体实现方法如下: 代码运行效果如下图所示: index.html页面代码如下: 复制代码 代码如下: &lt;!DO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6RwBz.html" rel="bookmark" class="title">漫谈iOS RSA非对称加密与解密</a>
					<div>
						前言 最近公司的客户端安全性出现了严重的问题,如今这个出解决方案并自我测试验证可行性的重任落在了我的身上,学习了很多他人的文章,再经过多次讨论,最后才确定最终解决方案.笔者在这里讲讲这一经历中所需要了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQP2Zp.html" rel="bookmark" class="title">autohotkey-请教各位大神，AutoHotkey如何实现二维数组？</a>
					<div>
						问题描述 请教各位大神,AutoHotkey如何实现二维数组? 各位大神好,看了AutoHotkey的API文档,发现里面只有一维数组Array和映射Object 现在想实现一个原来在C语言里面的程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RgLQb.html" rel="bookmark" class="title">jquery实现文字由下到上循环滚动的实例代码&lowbar;jquery</a>
					<div>
						有如下代码: 复制代码 代码如下: &lt;div id=&quot;oDiv&quot;&gt;&lt;ul id=&quot;oUl&quot;&gt;&lt;li&gt;第1个li元素&lt;/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rxN8p.html" rel="bookmark" class="title">Hadoop历史、HDFS特点及对大数据时代的意义</a>
					<div>
						如今Apache Hadoop已成为大数据行业发展背后的驱动力.Hive和Pig等技术也经常被提到,但是他们都有什么功能,为什么会需要奇怪的名字(如Oozie,ZooKeeper.Flume). Ha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0PXOM.html" rel="bookmark" class="title">怎样把oracle中前缀相同的表查出多少张</a>
					<div>
						问题描述 怎样把oracle中前缀相同的表查出多少张 问题描述:比如a_,b_,c_这些前缀开头数据表分别查询各有多少张. 解决方案 select count(*) from user_tables  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3J427z.html" rel="bookmark" class="title">数字化时代，物流与零售业的正确打开方式</a>
					<div>
						本文讲的是 :  数字化时代,物流与零售业的正确打开方式  ,[IT168 评论]&quot;如果你的居住地突然入驻了亚马逊,那么这里会发生什么样的化学变化呢?&quot; ▲Infor亚太及日本地区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b225aBb.html" rel="bookmark" class="title">《Android应用开发入门经典（第3版）》&mdash;&mdash;第1&period;6节小结</a>
					<div>
						1.6 小结 Android应用开发入门经典(第3版) 本章的目标是开始进行Android开发.第一步是下载和安装Android开发环境.读者使用这个环境生成了一个简单的应用程序并对其进行了修改,通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkWYOp.html" rel="bookmark" class="title">宿州市全面构建基层医疗卫生机构管理信息网络</a>
					<div>
						宿州新闻网讯 近年来,随着信息化技术的普及,信息网络在基层医疗卫生机构管理方面发挥了越来越重要的作用.各县区新农合http://www.aliyun.com/zixun/aggregation/327 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6qkQM.html" rel="bookmark" class="title">php下用GD生成生成缩略图的两个选择和区别&lowbar;php技巧</a>
					<div>
						PHP的GD扩展提供了两个函数来缩放图像: ImageCopyResized(dest, src, dx, dy, sx, sy, dw, dh, sw, sh);ImageCopyResampled ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1X38b.html" rel="bookmark" class="title">详细介绍Python函数中的默认参数&lowbar;python</a>
					<div>
						import datetime as dt def log_time(message, time=None): if time is None: time=dt.datetime.now() prin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0r41z.html" rel="bookmark" class="title">JavaScript 随笔之垃圾回收的例子</a>
					<div>
						在 JavaScript 中,由于垃圾回收是自动进行的,所以人们在编码时可能不太会注意这方面.但事实是,一些 webapp 在使用一段时间后,会出现卡顿的现象,特别是那些单页应用,包括 WebView ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnvjRp.html" rel="bookmark" class="title">OpenStack 建设企业私有云要解决五大问题</a>
					<div>
						OpenStack已经成为一种趋势,但发行版OpenStack尚不完美,企业要建成私有云必须预先充分了解发行版OpenStack的缺点,并寻求专业OpenStack提供商的帮助与合作,才能扬长避短,真 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBydLoz.html" rel="bookmark" class="title">hive  hcatschema hcatrecord 区别是什么？？？？？？？</a>
					<div>
						问题描述 hive hcatschema hcatrecord 区别是什么??????? rtttttttttttttttttttttttttttttttttttttttt 解决方案 hive与pig ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
